package com.diagbot.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.diagbot.entity.ScaleConfig;
import com.diagbot.vo.RetrievalVO;
import com.diagbot.vo.ScaleConfigPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 量表映射表 服务类
 * </p>
 *
 * @author zhaops
 * @since 2021-04-13
 */
public interface ScaleConfigService extends IService<ScaleConfig> {
    IPage<ScaleConfig> getPage(@Param("scaleConfigPageVO") ScaleConfigPageVO scaleConfigPageVO);

    List<ScaleConfig> getScalesIndex(RetrievalVO retrievalVO);
}
