package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.ScaleConfig;
import com.diagbot.vo.RetrievalVO;
import com.diagbot.vo.ScaleConfigPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 量表映射表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2021-04-13
 */
public interface ScaleConfigMapper extends BaseMapper<ScaleConfig> {
    IPage<ScaleConfig> getPage(@Param("scaleConfigPageVO") ScaleConfigPageVO scaleConfigPageVO);

    List<ScaleConfig> getScalesIndex(RetrievalVO retrievalVO);
}
