package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.entity.TcmsyndromeConfig;
import com.diagbot.entity.TcmsyndromeConfig;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.RetrievalVO;
import com.diagbot.vo.TcmsyndromeConfigPageVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 中医证候映射表 Mapper 接口
 * </p>
 *
 * @author zhaops
 * @since 2021-05-13
 */
public interface TcmsyndromeConfigMapper extends BaseMapper<TcmsyndromeConfig> {
    /**
     * 分页查询
     *
     * @param tcmsyndromeConfigPageVO
     * @return
     */
    IPage<TcmsyndromeConfig> getPage(@Param("tcmsyndromeConfigPageVO") TcmsyndromeConfigPageVO tcmsyndromeConfigPageVO);

    /**
     * 中医证候搜索
     *
     * @param retrievalVO
     * @return
     */
    List<TcmsyndromeConfig> getTcmsyndromesIndex(RetrievalVO retrievalVO);
}
